| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::convert::converter Class Referenceabstract

A conversion class that implements a conversion from inputs -> outputs. More...

`#include <uhd/convert.hpp>`

## Public Types
typedef std::shared_ptr< converter > | sptr
typedef uhd::ref_vector< void * > | output_type
typedef uhd::ref_vector< const void * > | input_type

## Public Member Functions
virtual | ~converter (void)=0
virtual void | set_scalar (const double)=0
| Set the scale factor (used in floating point conversions).
UHD_INLINE void | conv (const input_type &in, const output_type &out, const size_t num)
| The public conversion method to convert inputs -> outputs.

## Detailed Description

A conversion class that implements a conversion from inputs -> outputs.

## Member Typedef Documentation

## ◆ input_type

typedef uhd::ref_vector<const void*> uhd::convert::converter::input_type

## ◆ output_type

typedef uhd::ref_vector<void*> uhd::convert::converter::output_type

## ◆ sptr

typedef std::shared_ptr<converter> uhd::convert::converter::sptr

## Constructor & Destructor Documentation

## ◆ ~converter()

virtual uhd::convert::converter::~converter | ( | void |  | ) |
| pure virtual

## Member Function Documentation

## ◆ conv()

UHD_INLINE void uhd::convert::converter::conv | ( | const input_type & | in,
|  | const output_type & | out,
|  | const size_t | num )
| inline

The public conversion method to convert inputs -> outputs.

## ◆ set_scalar()

virtual void uhd::convert::converter::set_scalar | ( | const double |  | ) |
| pure virtual

Set the scale factor (used in floating point conversions).

The documentation for this class was generated from the following file:

- convert.hpp